package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: webSocket消息类型 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/22
 */
public enum WebsocketTypeEnum {

    client_paper_download("客户端已下载试卷","clientPaperDownload"),

    sync_status("状态同步","syncStatus"),

    sync_ack( "同步确认","syncAck"),

    invigilate_liveness_verify( "监考强制活体验证","invigilateLivenessVerify"),

    invigilate_notice( "监考消息","invigilateNotice"),

    invigilate_notice_ack( "监考消息确认","invigilateNoticeAck"),

    invigilate_stop_exam( "监考强制收卷","invigilateStopExam");

    private String code;
    private String desc;

    private WebsocketTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    /**
     * 状态转换 toDesc
     *
     * @param value
     * @return
     */
    public static String convertToDesc(String value) {
        if (Objects.equals(value.trim(), client_paper_download.name())) {
            return client_paper_download.getDesc();
        } else if (Objects.equals(value.trim(), sync_status.name())) {
            return sync_status.getDesc();
        } else if (Objects.equals(value.trim(), sync_ack.name())) {
            return sync_ack.getDesc();
        } else if (Objects.equals(value.trim(), invigilate_liveness_verify.name())) {
            return invigilate_liveness_verify.getDesc();
        } else if (Objects.equals(value.trim(), invigilate_notice.name())) {
            return invigilate_notice.getDesc();
        } else if (Objects.equals(value.trim(), invigilate_notice_ack.name())) {
            return invigilate_notice_ack.getDesc();
        } else {
            return invigilate_stop_exam.getDesc();
        }
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
